module.exports = function (api) {
  api.cache(true)
  const presets = [
    [
      '@babel/preset-env',
      {
        debug: true,
        targets: {
          node: '6'
        },
        useBuiltIns: false,
        modules: 'commonjs',
      },
    ],
  ]
  const plugins = [
    [
      "@babel/plugin-transform-runtime",
      {
        "corejs": false,
        "helpers": true,
        "regenerator": true,
        "useESModules": false
      }
    ]
  ]
  return {
    presets,
    plugins,
  }
}
